Bug 455851 - Kernel 2.6.25.10-86 not booting
Kernel 2.6.25.10-86 not booting
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
9
i386 Linux
low Severity high
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-18 06:53 EDT by Jan Huijbers
Modified: 2009-07-14 12:10 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:10:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Huijbers 2008-07-18 06:53:36 EDT
Description of problem:
Kernel 2.6.25.10-86 not booting after kernel update Fedora 9

Version-Release number of selected component (if applicable):
kernel 2.6.25.10-86.fc9.i686

How reproducible:
every time, just boot the system. 

Steps to Reproduce:
1. power on
2. system halts after LVM
3.
  
Actual results:
Nothing, it is possible to boot the previous f9 kernel without problem

Expected results:


Additional info:

Reading all physical volumes. This may take a while..
Found volume group "VolGroup00" using metadata type lvm2
2 logical volume(s) in volume group "VolGroup00" now active
EXT3-fs: Unrecognised mount option "noauto"or missing value
mount: error mounting /dev/root on /sysroot as ext3: Invalid argument
setuproot: moving /dev failed: No such file or Directory
switchroot: mount failed: No such file or directory
Comment 1 Jan Huijbers 2008-07-18 06:55:43 EDT
Maybe more info can be found here:
http://linux.derkeiler.com/Mailing-Lists/Fedora/2008-07/msg01235.html
Comment 2 Chuck Ebbert 2008-07-18 12:14:05 EDT
(In reply to comment #0)
> EXT3-fs: Unrecognised mount option "noauto"or missing value
> mount: error mounting /dev/root on /sysroot as ext3: Invalid argument

Can you attach the contents of /etc/fstab?
Comment 3 Jan Huijbers 2008-07-18 12:58:56 EDT
# /etc/fstab: static file system information.
#
# <file system> <mount point>   <type>  <options>       <dump>  <pass>

tmpfs	/dev/shm	tmpfs	defaults	0	0
devpts	/dev/pts	devpts	gid=5,mode=620	0	0
sysfs	/sys	sysfs	defaults	0	0
proc	/proc	proc	defaults	0	0

#Entry for /dev/sda1 :
UUID=925142c9-194e-4067-85a1-a08ba274cb6a	/boot	ext3	defaults	1	2
/dev/VolGroup00/LogVol00	/	ext3	noauto	1	1
/dev/VolGroup00/LogVol01	swap	swap	noauto	0	0
Comment 4 Chuck Ebbert 2008-07-19 18:06:31 EDT
(In reply to comment #3)
> /dev/VolGroup00/LogVol00	/	ext3	noauto	1	1
> /dev/VolGroup00/LogVol01	swap	swap	noauto	0	0
> 

How did "noauto" get in there?
Comment 5 Jan Huijbers 2008-07-20 04:18:30 EDT
Think by triyng to get fedora from stop seeing the windows disks automaticly.
itś a dual boot system. But switching the "noauto"to "defaults" doesnt change
the symthomps. Ive a second system that also wont boot with the new kernel and
it has this fstab file:

# /etc/fstab: static file system information.
#
# <file system> <mount point>   <type>  <options>       <dump>  <pass>

tmpfs	/dev/shm	tmpfs	defaults	0	0
devpts	/dev/pts	devpts	gid=5,mode=620	0	0
sysfs	/sys	sysfs	defaults	0	0
proc	/proc	proc	defaults	0	0
#Entry for /dev/sda1 :
UUID=3e20de69-fc97-4c19-ba7e-abe68457f79a	/boot	ext3	defaults	12
/dev/VolGroup00/LogVol00	/	ext3	defaults	1	1
/dev/VolGroup00/LogVol01	swap	swap	defaults	0	0

Besides, both systems boot with kernel:
[root@chieftec-amd-fc9 etc]# cat /proc/version 
Linux version 2.6.25.9-76.fc9.i686 (mockbuild@) (gcc version 4.3.0 20080428 (Red
Hat 4.3.0-8) (GCC) ) #1 SMP Fri Jun 27 16:14:35 EDT 2008

My guess is, it has more to do with what has been seen in the additional link I
added in comment 2.
Comment 6 Jan Huijbers 2008-07-20 05:55:09 EDT
Additional info, compared to a working system. Both systems not booting use 
Fedora 9 disk encryption (LUKS). A system booting 2.6.25.10-86 hasn't used disk 
encryption.
Comment 7 Chuck Ebbert 2008-07-20 21:51:22 EDT
(In reply to comment #5)
> Think by triyng to get fedora from stop seeing the windows disks automaticly.
> itś a dual boot system. But switching the "noauto"to "defaults" doesnt change
> the symthomps.

Just changing the option won't make a difference, because that option has been
copied into the initrd. You have to make a new initrd.

> Besides, both systems boot with kernel:
> [root@chieftec-amd-fc9 etc]# cat /proc/version 
> Linux version 2.6.25.9-76.fc9.i686 (mockbuild@) (gcc version 4.3.0 20080428 (Red
> Hat 4.3.0-8) (GCC) ) #1 SMP Fri Jun 27 16:14:35 EDT 2008

That's because they have a good initrd for that kernel.
Comment 8 Jan Huijbers 2008-07-21 14:58:31 EDT
Generating a new initrd using this commands:

su -
cd /boot
mv initrd-2.6.25.10-86.fc9.i686.img initrd-2.6.25.10-86.fc9.i686.img.org
mkinitrd -v initrd-2.6.25.10-86.fc9.i686.img 2.6.25.10-86.fc9.i686

seems to have fixed the booting problem. Still no clue why the org initrd
doesn't work. I just upgraded the kernel package through yum, like always.
Comment 9 Chuck Ebbert 2008-07-21 23:31:42 EDT
Adding this to mkinitrd should filter out 'noauto':

     [ -z "$rootfs" ] && rootfs=$(awk '{ if ($1 !~ /^[ \t]*#/ && $2 == "/") {
print $3; }}' $fstab)
     [ -z "$rootopts" ] && rootopts=$(awk '{ if ($1 !~ /^[ \t]*#/ && $2 == "/")
{ print $4; }}' $fstab)
     [ -z "$rootopts" ] && rootopts="defaults"
+    rootopts=${rootopts#noauto,}
+    rootopts=${rootopts/,noauto/}
+    rootopts=${rootopts%noauto}
 
     # in case the root filesystem is modular
    findmodule -${rootfs}

Comment 10 Bug Zapper 2009-06-09 22:07:16 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2009-07-14 12:10:44 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.